<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sat Aug 03 14:00:55 PDT 2013 -->
<TITLE>
NjordParser
</TITLE>

<META NAME="date" CONTENT="2013-08-03">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="NjordParser";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NjordParser.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../com/theuberlab/njord/util/NjordOutputStream.html" title="class in com.theuberlab.njord.util"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../com/theuberlab/njord/util/NjordParser.LinkMouseListener.html" title="class in com.theuberlab.njord.util"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?com/theuberlab/njord/util/NjordParser.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NjordParser.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
com.theuberlab.njord.util</FONT>
<BR>
Class NjordParser</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by ">org.fife.ui.rsyntaxtextarea.parser.AbstractParser
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>com.theuberlab.njord.util.NjordParser</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>org.fife.ui.rsyntaxtextarea.parser.Parser</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>NjordParser</B><DT>extends org.fife.ui.rsyntaxtextarea.parser.AbstractParser</DL>
</PRE>

<P>
NjordParser is the bit that crawls through your document and determins which words we should build tooltip text for. Currently
 provides tooltips only for iRules commands. I.E. things like HTTP::respond.
 
 Originally copied from TaskTagParser.
 TaskTagParserNotes
 Parser that identifies "task tags," such as "<code>TODO</code>",
 "<code>FIXME</code>", etc. in source code comments.
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>forster</DD>
</DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.LinkMouseListener.html" title="class in com.theuberlab.njord.util">NjordParser.LinkMouseListener</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The mouse event listener for the desktop browsing interface.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.TaskNotice.html" title="class in com.theuberlab.njord.util">NjordParser.TaskNotice</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A parser notice that signifies a task.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.toolTipNotice.html" title="class in com.theuberlab.njord.util">NjordParser.toolTipNotice</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A parser notice for toolTip text other than a task.</TD>
</TR>
</TABLE>
&nbsp;<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#A_HREF">A_HREF</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The beginning of an HTML link.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private static&nbsp;java.awt.Color</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#COLOR">COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;I believe this is the color it sets the toolTip box to.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private &nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#DEFAULT_TASK_PATTERN">DEFAULT_TASK_PATTERN</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The default pattern which defines what a task is.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.awt.Desktop</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#desktop">desktop</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The user's desktop environment</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#HREF_CLOSED">HREF_CLOSED</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The first closing bracked of an HTML link.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#HREF_END">HREF_END</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The closing item for an HTML link.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#HTML">HTML</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;An open HTML tag.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#HTML_END">HTML_END</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The closing HTML tag.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.slf4j.Logger</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#log">log</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Holds our logger factory for SLF4J.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#nl">nl</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Holds the line separator string for the os we're running on.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../com/theuberlab/njord/ui/Njord.html" title="class in com.theuberlab.njord.ui">Njord</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#owner">owner</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;What created us.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private &nbsp;org.fife.ui.rsyntaxtextarea.parser.DefaultParseResult</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#result">result</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;I'm not entirely sure but I believe this holds the matches we've found.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private &nbsp;java.util.regex.Pattern</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#taskPattern">taskPattern</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The actual place we will read the pattern from in case it has been overriden from the default.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../com/theuberlab/njord/util/iRulesTokenMaker.html" title="class in com.theuberlab.njord.util">iRulesTokenMaker</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#tokenMaker">tokenMaker</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The tokenMaker that we are paired with</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private &nbsp;<A HREF="../../../../com/theuberlab/njord/constants/NjordConstants.html" title="enum in com.theuberlab.njord.constants">NjordConstants</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#tokenType">tokenType</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;What have we found, a task, a command, other? Takes values defined in NjordConstants.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.HashMap&lt;java.lang.String,java.lang.String&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#toolTipsMap">toolTipsMap</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;A hashMap of tokens and the toolTips associated with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#toolTipTextspath">toolTipTextspath</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The path to the tool tips file.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#NjordParser(com.theuberlab.njord.ui.Njord, com.theuberlab.njord.util.iRulesTokenMaker)">NjordParser</A></B>(<A HREF="../../../../com/theuberlab/njord/ui/Njord.html" title="class in com.theuberlab.njord.ui">Njord</A>&nbsp;owner,
            <A HREF="../../../../com/theuberlab/njord/util/iRulesTokenMaker.html" title="class in com.theuberlab.njord.util">iRulesTokenMaker</A>&nbsp;tokenMaker)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new task parser.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#buildToolTipTexts()">buildToolTipTexts</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Pulls the tool tips in from the resources/toolTipTexts.txt file and populates the toolTipTextsArray with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#getPlainLink(java.lang.String)">getPlainLink</A></B>(java.lang.String&nbsp;s)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converts a string into an HTML link.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#getTaskPattern()">getTaskPattern</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the regular expression used to search for tasks.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#htmlIfy(java.lang.String)">htmlIfy</A></B>(java.lang.String&nbsp;s)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Surrounds a string with HTML open and close HTML tags.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private static&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#isBrowsingSupported()">isBrowsingSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks to see if the platform we are executing on supports Desktop Browsing.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#linkIfy(java.lang.String, java.lang.String)">linkIfy</A></B>(java.lang.String&nbsp;textString,
        java.lang.String&nbsp;linkLocation)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an HTML link from the provided data.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>private static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#makeLinkable(javax.swing.JLabel, java.awt.event.MouseListener)">makeLinkable</A></B>(javax.swing.JLabel&nbsp;label,
             java.awt.event.MouseListener&nbsp;ml)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Takes a JLabel and converts it's text into a hyperlink using it's tooltipText as the link tarket.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.fife.ui.rsyntaxtextarea.parser.ParseResult</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#parse(org.fife.ui.rsyntaxtextarea.RSyntaxDocument, java.lang.String)">parse</A></B>(org.fife.ui.rsyntaxtextarea.RSyntaxDocument&nbsp;doc,
      java.lang.String&nbsp;style)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This is the main code which actually finds the tokens that we care to mark.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#setTaskPattern(java.lang.String)">setTaskPattern</A></B>(java.lang.String&nbsp;pattern)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the pattern of task identifiers.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.fife.ui.rsyntaxtextarea.parser.AbstractParser"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.fife.ui.rsyntaxtextarea.parser.AbstractParser</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getHyperlinkListener, getImageBase, isEnabled, setEnabled, setHyperlinkListener</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="result"><!-- --></A><H3>
result</H3>
<PRE>
private org.fife.ui.rsyntaxtextarea.parser.DefaultParseResult <B>result</B></PRE>
<DL>
<DD>I'm not entirely sure but I believe this holds the matches we've found.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="DEFAULT_TASK_PATTERN"><!-- --></A><H3>
DEFAULT_TASK_PATTERN</H3>
<PRE>
private java.lang.String <B>DEFAULT_TASK_PATTERN</B></PRE>
<DL>
<DD>The default pattern which defines what a task is.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="taskPattern"><!-- --></A><H3>
taskPattern</H3>
<PRE>
private java.util.regex.Pattern <B>taskPattern</B></PRE>
<DL>
<DD>The actual place we will read the pattern from in case it has been overriden from the default.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="tokenType"><!-- --></A><H3>
tokenType</H3>
<PRE>
private <A HREF="../../../../com/theuberlab/njord/constants/NjordConstants.html" title="enum in com.theuberlab.njord.constants">NjordConstants</A> <B>tokenType</B></PRE>
<DL>
<DD>What have we found, a task, a command, other? Takes values defined in NjordConstants.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="COLOR"><!-- --></A><H3>
COLOR</H3>
<PRE>
private static final java.awt.Color <B>COLOR</B></PRE>
<DL>
<DD>I believe this is the color it sets the toolTip box to. maybe I should change it from this ugly grey to the ugly orange used in java editors.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="toolTipTextspath"><!-- --></A><H3>
toolTipTextspath</H3>
<PRE>
public java.lang.String <B>toolTipTextspath</B></PRE>
<DL>
<DD>The path to the tool tips file.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="toolTipsMap"><!-- --></A><H3>
toolTipsMap</H3>
<PRE>
public java.util.HashMap&lt;java.lang.String,java.lang.String&gt; <B>toolTipsMap</B></PRE>
<DL>
<DD>A hashMap of tokens and the toolTips associated with them.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="nl"><!-- --></A><H3>
nl</H3>
<PRE>
public java.lang.String <B>nl</B></PRE>
<DL>
<DD>Holds the line separator string for the os we're running on.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="owner"><!-- --></A><H3>
owner</H3>
<PRE>
protected <A HREF="../../../../com/theuberlab/njord/ui/Njord.html" title="class in com.theuberlab.njord.ui">Njord</A> <B>owner</B></PRE>
<DL>
<DD>What created us.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="tokenMaker"><!-- --></A><H3>
tokenMaker</H3>
<PRE>
protected <A HREF="../../../../com/theuberlab/njord/util/iRulesTokenMaker.html" title="class in com.theuberlab.njord.util">iRulesTokenMaker</A> <B>tokenMaker</B></PRE>
<DL>
<DD>The tokenMaker that we are paired with
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="log"><!-- --></A><H3>
log</H3>
<PRE>
public org.slf4j.Logger <B>log</B></PRE>
<DL>
<DD>Holds our logger factory for SLF4J.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="desktop"><!-- --></A><H3>
desktop</H3>
<PRE>
public java.awt.Desktop <B>desktop</B></PRE>
<DL>
<DD>The user's desktop environment
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="A_HREF"><!-- --></A><H3>
A_HREF</H3>
<PRE>
private static final java.lang.String <B>A_HREF</B></PRE>
<DL>
<DD>The beginning of an HTML link. <a href="
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#com.theuberlab.njord.util.NjordParser.A_HREF">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="HREF_CLOSED"><!-- --></A><H3>
HREF_CLOSED</H3>
<PRE>
private static final java.lang.String <B>HREF_CLOSED</B></PRE>
<DL>
<DD>The first closing bracked of an HTML link. \>.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#com.theuberlab.njord.util.NjordParser.HREF_CLOSED">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="HREF_END"><!-- --></A><H3>
HREF_END</H3>
<PRE>
private static final java.lang.String <B>HREF_END</B></PRE>
<DL>
<DD>The closing item for an HTML link. </a>.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#com.theuberlab.njord.util.NjordParser.HREF_END">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="HTML"><!-- --></A><H3>
HTML</H3>
<PRE>
private static final java.lang.String <B>HTML</B></PRE>
<DL>
<DD>An open HTML tag.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#com.theuberlab.njord.util.NjordParser.HTML">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="HTML_END"><!-- --></A><H3>
HTML_END</H3>
<PRE>
private static final java.lang.String <B>HTML_END</B></PRE>
<DL>
<DD>The closing HTML tag.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#com.theuberlab.njord.util.NjordParser.HTML_END">Constant Field Values</A></DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="NjordParser(com.theuberlab.njord.ui.Njord, com.theuberlab.njord.util.iRulesTokenMaker)"><!-- --></A><H3>
NjordParser</H3>
<PRE>
public <B>NjordParser</B>(<A HREF="../../../../com/theuberlab/njord/ui/Njord.html" title="class in com.theuberlab.njord.ui">Njord</A>&nbsp;owner,
                   <A HREF="../../../../com/theuberlab/njord/util/iRulesTokenMaker.html" title="class in com.theuberlab.njord.util">iRulesTokenMaker</A>&nbsp;tokenMaker)</PRE>
<DL>
<DD>Creates a new task parser.  The default parser treats the following
 identifiers in comments as task definitions:  "<code>TODO</code>",
 "<code>FIXME</code>", and "<code>HACK</code>".
<P>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getTaskPattern()"><!-- --></A><H3>
getTaskPattern</H3>
<PRE>
public java.lang.String <B>getTaskPattern</B>()</PRE>
<DL>
<DD>Returns the regular expression used to search for tasks.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>The regular expression.  This may be <code>null</code> if no
         regular expression was specified (or an empty string was
         specified).<DT><B>See Also:</B><DD><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#setTaskPattern(java.lang.String)"><CODE>setTaskPattern(String)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="parse(org.fife.ui.rsyntaxtextarea.RSyntaxDocument, java.lang.String)"><!-- --></A><H3>
parse</H3>
<PRE>
public org.fife.ui.rsyntaxtextarea.parser.ParseResult <B>parse</B>(org.fife.ui.rsyntaxtextarea.RSyntaxDocument&nbsp;doc,
                                                            java.lang.String&nbsp;style)</PRE>
<DL>
<DD>This is the main code which actually finds the tokens that we care to mark.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="buildToolTipTexts()"><!-- --></A><H3>
buildToolTipTexts</H3>
<PRE>
public void <B>buildToolTipTexts</B>()</PRE>
<DL>
<DD>Pulls the tool tips in from the resources/toolTipTexts.txt file and populates the toolTipTextsArray with them.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setTaskPattern(java.lang.String)"><!-- --></A><H3>
setTaskPattern</H3>
<PRE>
public void <B>setTaskPattern</B>(java.lang.String&nbsp;pattern)
                    throws java.util.regex.PatternSyntaxException</PRE>
<DL>
<DD>Sets the pattern of task identifiers.  You will usually want this to be
 a list of words "or'ed" together, such as
 "<code>TODO|FIXME|HACK|REMIND</code>".
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>pattern</CODE> - The pattern.  A value of <code>null</code> or an
        empty string effectively disables task parsing.
<DT><B>Throws:</B>
<DD><CODE>java.util.regex.PatternSyntaxException</CODE> - If <code>pattern</code> is an invalid
         regular expression.<DT><B>See Also:</B><DD><A HREF="../../../../com/theuberlab/njord/util/NjordParser.html#getTaskPattern()"><CODE>getTaskPattern()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="makeLinkable(javax.swing.JLabel, java.awt.event.MouseListener)"><!-- --></A><H3>
makeLinkable</H3>
<PRE>
private static void <B>makeLinkable</B>(javax.swing.JLabel&nbsp;label,
                                 java.awt.event.MouseListener&nbsp;ml)</PRE>
<DL>
<DD>Takes a JLabel and converts it's text into a hyperlink using it's tooltipText as the link tarket.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>label</CODE> - The label to link.<DD><CODE>ml</CODE> - A mouse listener to notify us when a click event has happened.</DL>
</DD>
</DL>
<HR>

<A NAME="isBrowsingSupported()"><!-- --></A><H3>
isBrowsingSupported</H3>
<PRE>
private static boolean <B>isBrowsingSupported</B>()</PRE>
<DL>
<DD>Checks to see if the platform we are executing on supports Desktop Browsing.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>True/False.</DL>
</DD>
</DL>
<HR>

<A NAME="getPlainLink(java.lang.String)"><!-- --></A><H3>
getPlainLink</H3>
<PRE>
private static java.lang.String <B>getPlainLink</B>(java.lang.String&nbsp;s)</PRE>
<DL>
<DD>Converts a string into an HTML link. This method requires that s is a plain string that requires no further escaping.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>s</CODE> - A String to be converted into an HTML link.
<DT><B>Returns:</B><DD>HTML text.</DL>
</DD>
</DL>
<HR>

<A NAME="linkIfy(java.lang.String, java.lang.String)"><!-- --></A><H3>
linkIfy</H3>
<PRE>
private static java.lang.String <B>linkIfy</B>(java.lang.String&nbsp;textString,
                                        java.lang.String&nbsp;linkLocation)</PRE>
<DL>
<DD>Creates an HTML link from the provided data.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>textString</CODE> - The text to be presented.<DD><CODE>linkLocation</CODE> - The URL Location to use as the destination of the HREF.
<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="htmlIfy(java.lang.String)"><!-- --></A><H3>
htmlIfy</H3>
<PRE>
private static java.lang.String <B>htmlIfy</B>(java.lang.String&nbsp;s)</PRE>
<DL>
<DD>Surrounds a string with HTML open and close HTML tags.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>s</CODE> - Non HTML String text.
<DT><B>Returns:</B><DD>The same text surrounded with HTML open and close text.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NjordParser.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../com/theuberlab/njord/util/NjordOutputStream.html" title="class in com.theuberlab.njord.util"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../com/theuberlab/njord/util/NjordParser.LinkMouseListener.html" title="class in com.theuberlab.njord.util"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?com/theuberlab/njord/util/NjordParser.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NjordParser.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
